Index: branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 1199)
+++ branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 1200)
@@ -859,10 +890,11 @@
   Int         m_vpsNumRepFormatsMinus1;
   Int         m_vpsRepFormatIdx          [MAX_NUM_LAYERS];
-  TComRepFormat* m_repFormat             [MAX_NUM_LAYERS]; 
+
+  std::vector<TComRepFormat> m_repFormat; 
   Bool        m_maxOneActiveRefLayerFlag;       
   Bool        m_vpsPocLsbAlignedFlag;
   Bool        m_pocLsbNotPresentFlag     [MAX_NUM_LAYERS];
 
-  TComDpbSize* m_dpbSize; 
+  TComDpbSize m_dpbSize; 
   Int         m_directDepTypeLenMinus2;         
   Bool        m_defaultDirectDependencyFlag;
@@ -873,5 +905,5 @@
 #endif
   Bool        m_vpsVuiPresentFlag;
-  TComVPSVUI* m_vpsVUI; 
+  TComVPSVUI  m_vpsVUI; 
 #if !H_MV_HLS7_GEN
   Int         m_directDependencyType     [MAX_NUM_LAYERS] [MAX_NUM_LAYERS];
@@ -885,5 +917,5 @@
   Int         m_numDirectRefLayers       [MAX_NUM_LAYERS];
   Int         m_idDirectRefLayer         [MAX_NUM_LAYERS][MAX_NUM_LAYERS];  
-#if H_3D
+#if NH_3D
   Int         m_numRefListLayers         [MAX_NUM_LAYERS];
   Int         m_idRefListLayer           [MAX_NUM_LAYERS][MAX_NUM_LAYERS];  
